Subject: Re: linux-next: merge of the wireless-next tree into the net-next tree

From: David Miller <[email-masked]>
Date: Wed, 04 Jan 2012 13:32:43 -0500 (EST)

From: "John W. Linville" <[email-masked]>
Date: Wed, 4 Jan 2012 09:02:10 -0500

> Kalle has sent a temporary fix that sidesteps the issue by forcing the
> SDIO and USB versions of ath6kl to be built as modules.  I'll forward
> that on to you today.

I'm not applying a temporary fix.  I want a proper fix or a revert.

Do NOT apply any other patches from the ath6kl folks until either
a proper fix is available or the changes that caused this problem
are completely reverted from my tree.